package test.annotation;

import java.util.Map;

import net.w_horse.excelpojo.annotation.Bean;
import net.w_horse.excelpojo.annotation.LabeledCell;
import net.w_horse.excelpojo.annotation.MappedCell;
import net.w_horse.excelpojo.xml.tag.RetrieveType;

@Bean(retrieveType=RetrieveType.VERTICAL_REPEATS,
		label="会員一覧",
		listClass="XXXX")
public class AnnotationTestElementListClassNotExistClassSpacified {
	@LabeledCell(label = "ID")
	private int id;
	@LabeledCell(label = "氏名")
	private String firstName;
	@LabeledCell(label = "氏名", margedLabel=1)
	private String lastName;
	@LabeledCell(label = "入会日")
	private String admissionDay;
	@LabeledCell(label = "身長")
	private double tall;
	@LabeledCell(label = "プレミアム会員")
	private boolean premiumMember;

	@MappedCell(previousLabel="メールアドレス")
	private Map<String, String> useTimeMap;
	/**
	 * idを取得します。
	 * @return id
	 */
	public int getId() {
	    return id;
	}
	/**
	 * idを設定します。
	 * @param id id
	 */
	public void setId(int id) {
	    this.id = id;
	}
	/**
	 * firstNameを取得します。
	 * @return firstName
	 */
	public String getFirstName() {
	    return firstName;
	}
	/**
	 * firstNameを設定します。
	 * @param firstName firstName
	 */
	public void setFirstName(String firstName) {
	    this.firstName = firstName;
	}
	/**
	 * lastNameを取得します。
	 * @return lastName
	 */
	public String getLastName() {
	    return lastName;
	}
	/**
	 * lastNameを設定します。
	 * @param lastName lastName
	 */
	public void setLastName(String lastName) {
	    this.lastName = lastName;
	}
	/**
	 * admissionDayを取得します。
	 * @return admissionDay
	 */
	public String getAdmissionDay() {
	    return admissionDay;
	}
	/**
	 * admissionDayを設定します。
	 * @param admissionDay admissionDay
	 */
	public void setAdmissionDay(String admissionDay) {
	    this.admissionDay = admissionDay;
	}
	/**
	 * tallを取得します。
	 * @return tall
	 */
	public double getTall() {
	    return tall;
	}
	/**
	 * tallを設定します。
	 * @param tall tall
	 */
	public void setTall(double tall) {
	    this.tall = tall;
	}
	/**
	 * premiumMemberを取得します。
	 * @return premiumMember
	 */
	public boolean isPremiumMember() {
	    return premiumMember;
	}
	/**
	 * premiumMemberを設定します。
	 * @param premiumMember premiumMember
	 */
	public void setPremiumMember(boolean premiumMember) {
	    this.premiumMember = premiumMember;
	}
	public void setUseTimeMap(Map<String, String> useTimeMap) {
		this.useTimeMap = useTimeMap;
	}
	public Map<String, String> getUseTimeMap() {
		return useTimeMap;
	}
}

